import { I18n } from '@zeedhi/core';

class ChangeLabel {
  private collection = {
    P_MENSAL: 'Mensal',
    P_BIMESTRAL: 'Bimestral',
    P_TRIMESTRAL: 'Trimestral',
    P_QUADRIMESTRAL: 'Quadrimestral',
    P_SEMESTRAL: 'Semestral',
    P_ANUAL: 'Anual',
  };
  
  getLabel(code: string): string {
    if (this.collection[code]) {
      return I18n.translate(this.collection[code]);
    }
    return code;
  }
}

export default new ChangeLabel();
